Subject: Re: bug#21092: 25.0.50; Option `lazy-highlight-max-at-a-time' does not work

From: Juri Linkov <[email-masked]>
Date: Sun, 30 Aug 2015 00:10:10 +0300

> IOW, I would like nil to behave as advertised: no limit.  This is the
> use case that prompted me to file the bug and look for a solution.

There is no bug.  I have ‘lazy-highlight-max-at-a-time’ set to nil
in my .emacs for years, and it worked as intended to optimize the
performance of the screen-limited lazy-highlighting.  Please don't break
this useful option.  With your proposed changes Isearch will be horribly slow
to highlight all matches in a large buffer on every search state change.

There is no need to highlight all matches in the buffer during Isearch.

If you want a new feature, please create a new feature request
with a subject like ‘Feature request: lazy-hi-lock on Isearch exit’
that will highlight all matches in the buffer after you exit Isearch.